Name:       mate-tweak
Summary:    Mate desktop configuration tool
Version:    22.10.0
Release:    %mkrel 2
License:    GPLv2+
Group:      Graphical desktop/MATE
URL:        https://github.com/ubuntu-mate/mate-tweak
Source0:    https://github.com/ubuntu-mate/mate-tweak/archive/%{version}.tar.gz
# Extracted from https://launchpad.net/ubuntu/+archive/primary/+files/ubuntu-mate-settings_16.10.7.tar.xz
# with additions of mageia-fresh, maggy and maggy-fresh layouts
Source1:    panel-layouts.tar.xz
Patch1:     mate-tweak-18.04.13-mga-fix_applet_paths.patch
Patch3:     mate-tweak-18.04.1-mga-maggy_layout.patch
Patch4:     mate-tweak-18.04.1-mga-guake.patch
BuildArch:  noarch

BuildRequires: python3-devel
BuildRequires: python3-distutils-extra
BuildRequires: intltool

Requires: mate-applets
Requires: mate-panel
Requires: mesa-demos
Requires: python3-configobj
Requires: python3-distro
Requires: python3-gobject3
Requires: python3-psutil
Requires: python3-setproctitle
Requires: wmctrl

Recommends: brisk-menu
Recommends: compiz
Recommends: guake
Recommends: mate-dock-applet
Recommends: mate-menu
Recommends: mate-netbook
Recommends: plank
Recommends: synapse

%description
Configures some aspects of the MATE desktop not exposed via the
MATE Control Center applets.

Settings that can be handled via MATE Tweak:
 * Show/hide standard desktop icons.
 * Panel fine-tuning (icon visibility, in menus and on buttons,
   icon size, button labelling, contex menus, etc.).
 * Window manager fine-tuning.

%prep
%autosetup -p1 -a 1

# We don't provide xdg-su. Change it to use polkit.
sed -i "s|'xdg-su', '-c |'pkexec', '|g" %{name}
sed -i '/polkit/d' setup.py

# Change installation location to libexec
for i in "mate-tweak data/org.mate.mate-tweak.policy"; do
    sed -i "s|/usr/lib/mate-tweak|%{_libexecdir}/mate-tweak|g" $i
done

sed -i "s|/lib/mate-tweak|/libexec/mate-tweak|g" setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
# move files now installed in python3_sitelib
mkdir -p %{buildroot}%{_datadir}/man
mv -f %{buildroot}%{python3_sitelib}%{_datadir}/applications %{buildroot}%{_datadir}/
mv -f %{buildroot}%{python3_sitelib}%{_datadir}/man/man1 %{buildroot}%{_datadir}/man/
mv -f %{buildroot}%{python3_sitelib}/usr/libexec %{buildroot}/usr

# Install panel layouts:
mkdir -p %{buildroot}%{_datadir}/mate-panel/layouts
cp -f panel-layouts/*.layout %{buildroot}%{_datadir}/mate-panel/layouts/

# (tv) remove too generic file name:
rm -f %buildroot/%{python3_sitelib}/setup.py
rm -fr %buildroot/%{python3_sitelib}/__pycache__/setup.c*

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%{_bindir}/mate-tweak
%{_bindir}/marco-compton
%{_bindir}/marco-glx
%{_bindir}/marco-picom
%{_bindir}/marco-xr_glx_hybrid
%{_bindir}/marco-xrender
%{_bindir}/marco-no-composite
%{_datadir}/applications/*.desktop
%{_datadir}/mate-panel/layouts/
%{_mandir}/man1/mate-tweak.1*
%{_mandir}/man1/marco-*.1*
%{_libexecdir}/mate-tweak/
%{python3_sitelib}/*dist-info



%changelog
* Tue Mar 11 2025 papoteur <papoteur> 22.10.0-2.mga10
+ Revision: 2162748
- rebuild for python3.13

* Sat Mar 09 2024 papoteur <papoteur> 22.10.0-1.mga10
+ Revision: 2048904
- new version 22.10.0

* Tue Aug 02 2022 tv <tv> 21.04.3-5.mga9
+ Revision: 1874545
- "Fix" filelist

* Thu Mar 24 2022 umeabot <umeabot> 21.04.3-4.mga9
+ Revision: 1825141
- Mageia 9 Mass Rebuild

* Mon Feb 28 2022 tv <tv> 21.04.3-3.mga9
+ Revision: 1786775
- Rebuild for python-3.10

* Wed Aug 11 2021 wally <wally> 21.04.3-2.mga9
+ Revision: 1741071
- require python3-distro

* Tue Aug 10 2021 wally <wally> 21.04.3-1.mga9
+ Revision: 1741001
- new version 21.04.3

* Sat Jun 26 2021 tmb <tmb> 21.04.1-3.mga9
+ Revision: 1733561
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 21.04.1-2.mga9
+ Revision: 1732945
- Rebuild for python 3.9

* Mon Nov 30 2020 kekepower <kekepower> 21.04.1-1.mga8
+ Revision: 1650630
- Update to version 21.04.1

* Mon Nov 30 2020 kekepower <kekepower> 21.04.0-1.mga8
+ Revision: 1650629
- Update to version 21.04.0

* Tue Sep 22 2020 kekepower <kekepower> 20.10.0-1.mga8
+ Revision: 1629446
- Update to version 20.10.0
- shlomif supplied a rediff of all the patches

* Sun Feb 16 2020 umeabot <umeabot> 18.04.14-5.mga8
+ Revision: 1533523
- Mageia 8 Mass Rebuild

* Sun Sep 22 2019 daviddavid <daviddavid> 18.04.14-4.mga8
+ Revision: 1444584
- rebuild for python3.8

* Tue Jan 08 2019 tv <tv> 18.04.14-3.mga7
+ Revision: 1352102
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 18.04.14-2.mga7
+ Revision: 1279496
- Mageia 7 Mass Rebuild

* Wed Mar 21 2018 tarakbumba <tarakbumba> 18.04.14-1.mga7
+ Revision: 1211161
- Updated to 18.04.14 version

* Fri Mar 09 2018 tarakbumba <tarakbumba> 18.04.13-1.mga7
+ Revision: 1207891
- Updated to 18.04.13 version

* Sat Jan 06 2018 tarakbumba <tarakbumba> 18.04.1-1.mga7
+ Revision: 1190959
- Update to 18.04.1 version

* Sat Aug 05 2017 pterjan <pterjan> 17.04.1-2.mga7
+ Revision: 1135269
- Rebuild for python 3.6

* Thu Mar 16 2017 tarakbumba <tarakbumba> 17.04.1-1.mga6
+ Revision: 1093136
- Update to 17.04.1 version
- Added extra panel layouts to choose from

* Sat Dec 24 2016 wally <wally> 3.5.10.1-1.mga6
+ Revision: 1077191
- new version 3.5.10.1
- rediff patches
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Nov 27 2015 tarakbumba <tarakbumba> 3.5.2b-0.git20151125.1.mga6
+ Revision: 906429
- imported package mate-tweak

